/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package Models.Fournisseur;

import javafx.beans.property.SimpleStringProperty;

public class FournisseurGestionList {
    
    private final SimpleStringProperty Code;
    private final SimpleStringProperty Nom;
    private final SimpleStringProperty Adresse;
    private final SimpleStringProperty Formes;
    private final SimpleStringProperty Tele1;
    private final SimpleStringProperty Tele2;
    private final SimpleStringProperty Fax;
    private final SimpleStringProperty Mail;
    private final SimpleStringProperty SiteWeb;
    private final SimpleStringProperty Specialite;
    
    
    public FournisseurGestionList(String Code, String Nom, String Adresse, String Formes, String Tele1,String Tele2, String Fax, String Mail, String SiteWeb, String Specialite) {
        this.Code = new SimpleStringProperty(Code);
        this.Nom = new SimpleStringProperty(Nom);
        this.Adresse = new SimpleStringProperty(Adresse);
        this.Formes = new SimpleStringProperty(Formes);
        this.Tele1 = new SimpleStringProperty(Tele1);
        this.Tele2 = new SimpleStringProperty(Tele2);
        this.Fax = new SimpleStringProperty(Fax);
        this.Mail = new SimpleStringProperty(Mail);
        this.SiteWeb = new SimpleStringProperty(SiteWeb);
        this.Specialite = new SimpleStringProperty(Specialite);
    }
    
    public String getCode() {
        return Code.get();
    }
    
    public String getNom() {
        return Nom.get();
    }
    
    public String getAdresse() {
        return Adresse.get();
    }
    
    public String getFormes() {
        return Formes.get();
    }
    
    public String getTele1() {
        return Tele1.get();
    }
    
    public String getTele2() {
        return Tele2.get();
    }
    
    public String getFax() {
        return Fax.get();
    }
    
    public String getMail() {
        return Mail.get();
    }
    
    public String getSiteWeb() {
        return SiteWeb.get();
    }
    
    public String getSpecialite() {
        return Specialite.get();
    }
    
    
    
    
}
